Merchant Transaction Charges
curl --request GET \
--url https://nini.monieswitch.com/merchant/charges \
--header 'Authorization: Bearer <token>'import requests
url = "https://nini.monieswitch.com/merchant/charges"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nini.monieswitch.com/merchant/charges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"data": {
"charges": [
{
"id": "2509b65e-4f17-4b2e-8eb0-e06f71e3d648",
"name": "subaccount",
"charge": {
"transferCharge": 20
}
},
{
"id": "94bc23b1-1874-4d8a-bdc7-9bfd4f801d8f",
"name": "childAccount",
"charge": {
"transferCharge": 20
}
},
{
"id": "45a33541-e183-4977-a952-922f19372c86",
"name": "staticAccounts",
"charge": {
"inflows": {
"cap": 2000,
"type": "COMPOSITE",
"nominal": 50,
"percentage": 1.5
},
"maintenance": 0,
"accountCreation": 0
}
},
{
"id": "330913f8-f13c-44ad-b310-4fb4c61df389",
"name": "virtualAccounts",
"charge": null
},
{
"id": "1a782d42-72b8-4564-a053-e8024c96cf97",
"name": "transfers",
"charge": {
"below5001": 10,
"above50000": 50,
"below50001": 25,
"walletToWalletCharge": 0
}
},
{
"id": "023c12c9-6ccb-4662-8964-b7cbe71c2c12",
"name": "bills",
"charge": {
"data": [
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "MTN"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "GLO"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "AIRTEL"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "9MOBILE"
}
],
"smile": {
"type": "FLAT",
"amount": 20,
"provider": "SMILE"
},
"airtime": [
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "MTN"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "GLO"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "AIRTEL"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "9MOBILE"
}
],
"cableTv": [
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "DSTV"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "GOTV"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "SHOWMAX"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "STARTIMES"
}
],
"electricity": [
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "ENUGU_DISCO"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "EKO_DISCO"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "ABUJA_DISCO"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "PORTHARCOURT_DISCO"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "IKEDC"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "IBEDC"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "KEDCO"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "JEDC"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "BEDC"
},
{
"type": "PERCENTAGE",
"amount": 2,
"provider": "KADUNA_ELECTRIC"
}
]
}
},
{
"id": "3804e0a7-c23c-48cb-b080-ea0b11d39cc5",
"name": "kyc",
"charge": {
"persona": 50,
"bvnLookup": 50,
"nameMatch": 20,
"nameDobMatch": 30
}
}
]
}
}Merchant
Merchant Transaction Charges
GET
/
merchant
/
charges
Merchant Transaction Charges
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
staticAccounts, virtualAccounts, transfers, kyc, bills, cards
⌘I